salve,ho ubuntu 14.04 lts
mi è apparso in alto a destra il divieto di accesso, non riesco a aggiornare niente, dal terminale

dpkg: errore: analisi del file"/var/lib/dpkg/available" vicino alla riga 24458 pacchetto"libqt4-dbus:i386":  campo "Replaces",riferimento a "libqt4-dev": la
versione contiene " "

grazie per eventuali suggerimenti!

chiesto 12 Dic '15, 18:39

felipe's gravatar image

felipe
9112

modificato 13 Dic '15, 00:23

dadexix86's gravatar image

dadexix86 ♦♦
16.9k816161

32 o 64 bit?

Quell'output da terminale è troncato. Qual è stato il comando che hai dato? qual è tutto il contorno?

(13 Dic '15, 00:24) dadexix86 ♦♦ dadexix86's gravatar image

ciao dadaxix86, è il 32bit
da synaptic avrei 13 pacchetti danneggiati
sinceramente sto andando a tentativi......

ultimo comando dato al terminale: apt-get install -f
questo il risultato:

Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Correzione delle dipendenze... Fatto
I seguenti pacchetti sono stati installati automaticamente e non sono più richiesti:
  firefox-locale-it linux-headers-3.13.0-27 linux-headers-3.13.0-27-generic
  linux-headers-3.13.0-35 linux-headers-3.13.0-35-generic
  linux-image-3.13.0-27-generic linux-image-3.13.0-35-generic
  linux-image-extra-3.13.0-27-generic linux-image-extra-3.13.0-35-generic
Usare "apt-get autoremove" per rimuoverli.
I seguenti pacchetti saranno inoltre installati:
  libavcodec54 vlc vlc-nox vlc-plugin-notify vlc-plugin-pulse
Pacchetti suggeriti:
  videolan-doc
I seguenti pacchetti NUOVI saranno installati:
  libavcodec54
I seguenti pacchetti saranno aggiornati:
  vlc vlc-nox vlc-plugin-notify vlc-plugin-pulse
4 aggiornati, 1 installati, 0 da rimuovere e 517 non aggiornati.
È necessario scaricare 0 B/5.720 kB di archivi.
Dopo quest'operazione, verranno occupati 12,9 MB di spazio su disco.
Continuare? [S/n] s
dpkg: errore: analisi del file "/var/lib/dpkg/available" vicino alla riga 24458 pacchetto "libqt4-dbus:i386":
 campo "Replaces", riferimento a "libqt4-dev": la versione contiene " "
E: Sub-process /usr/bin/dpkg returned an error code (2)
filippo@filippo-System-Product-Name:~$ sudo dpkg --configure -a
filippo@filippo-System-Product-Name:~$ sudo dpkg --configure -a
filippo@filippo-System-Product-Name:~$ sudo apt-get install -f
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Correzione delle dipendenze... Fatto
I seguenti pacchetti sono stati installati automaticamente e non sono più richiesti:
  firefox-locale-it linux-headers-3.13.0-27 linux-headers-3.13.0-27-generic
  linux-headers-3.13.0-35 linux-headers-3.13.0-35-generic
  linux-image-3.13.0-27-generic linux-image-3.13.0-35-generic
  linux-image-extra-3.13.0-27-generic linux-image-extra-3.13.0-35-generic
Usare "apt-get autoremove" per rimuoverli.
I seguenti pacchetti saranno inoltre installati:
  libavcodec54 vlc vlc-nox vlc-plugin-notify vlc-plugin-pulse
Pacchetti suggeriti:
  videolan-doc
I seguenti pacchetti NUOVI saranno installati:
  libavcodec54
I seguenti pacchetti saranno aggiornati:
  vlc vlc-nox vlc-plugin-notify vlc-plugin-pulse
4 aggiornati, 1 installati, 0 da rimuovere e 517 non aggiornati.
È necessario scaricare 0 B/5.720 kB di archivi.
Dopo quest'operazione, verranno occupati 12,9 MB di spazio su disco.
Continuare? [S/n] s
dpkg: errore: analisi del file "/var/lib/dpkg/available" vicino alla riga 24458 pacchetto "libqt4-dbus:i386":
 campo "Replaces", riferimento a "libqt4-dev": la versione contiene " "
E: Sub-process /usr/bin/dpkg returned an error code (2)
(13 Dic '15, 01:16) felipe felipe's gravatar image

@felipe: non usare le risposte, usa i commenti, e per i lunghi output usa pastebin.

(13 Dic '15, 11:17) enzotib ♦♦ enzotib's gravatar image

Come farei io.

Sembra che il file "/var/lib/dpkg/available" sia danneggiato.

Il modo più semplice per tentare di risolvere è cancellare il file e ricrearlo.

Per fare questo dai, da terminale, il comando sudo dpkg --clear-avail e poi sudo apt-get update

Dopodiché tutto dovrebbe andare a posto.

Da man dpkg:

--clear-avail
              Cancella le informazioni esistenti riguardo a quali pacchetti sono disponibili.
coll. permanente

ha risposto 15 Dic '15, 10:07

alvise's gravatar image

alvise
654

sorry alvise, è rimasto tutto come prima.ecco l'output dopo il primo comando : filippo@filippo-System-Product-Name:~$ sudo dpkg --clear-avail [sudo] password for filippo: filippo@filippo-System-Product-Name:~$

eventuali alternative? grazie

(15 Dic '15, 14:31) felipe felipe's gravatar image

Scusa non mi è chiaro dal tuo commento cosa è successo. Il comando sudo dpkg --clear-avail non ti ha restituito nessun output? Questo è normale e giusto. :) sudo apt-get update && sudo apt-get upgrade danno lo stesso errore di prima?

(15 Dic '15, 14:52) alvise alvise's gravatar image
-1

filippo@filippo-System-Product-Name:~$ sudo apt-get update [sudo] password for filippo: Ign http://dl.google.com stable InRelease Trovato http://dl.google.com stable Release.gpg
Ign http://archive.canonical.com trusty InRelease
Trovato http://ppa.launchpad.net trusty InRelease
Ign http://extras.ubuntu.com trusty InRelease
Ign http://archive.ubuntu.com trusty InRelease
Trovato http://dl.google.com stable Release
Trovato http://archive.canonical.com trusty Release.gpg
Scaricamento di:1 http://archive.ubuntu.com trusty-updates InRelease [64,4 kB] Trovato http://archive.canonical.com trusty Release
Trovato http://extras.ubuntu.com trusty Release.gpg
Trovato http://extras.ubuntu.com trusty Release
Trovato http://ppa.launchpad.net trusty/main i386 Packages
Scaricamento di:2 http://archive.ubuntu.com trusty-security InRelease [64,4 kB] Trovato http://dl.google.com stable/main i386 Packages
Trovato http://archive.canonical.com trusty/partner Sources
Trovato http://ppa.launchpad.net trusty/main Translation-en
Trovato http://extras.ubuntu.com trusty/main Sources
Trovato http://archive.canonical.com trusty/partner i386 Packages
Trovato http://archive.ubuntu.com trusty Release.gpg
Trovato http://extras.ubuntu.com trusty/main i386 Packages
Scaricamento di:3 http://archive.ubuntu.com trusty-updates/main Sources [247 kB] Ign http://archive.canonical.com trusty/partner Translation-en
Ign http://dl.google.com stable/main Translation-it_IT
Ign http://dl.google.com stable/main Translation-it
Ign http://extras.ubuntu.com trusty/main Translation-it_IT Ign http://dl.google.com stable/main Translation-en
Ign http://extras.ubuntu.com trusty/main Translation-it
Scaricamento di:4 http://archive.ubuntu.com trusty-updates/restricted Sources [5.359 B] Ign http://extras.ubuntu.com trusty/main Translation-en
Scaricamento di:5 http://archive.ubuntu.com trusty-updates/universe Sources [145 kB] Scaricamento di:6 http://archive.ubuntu.com trusty-updates/multiverse Sources [5.167 B] Scaricamento di:7 http://archive.ubuntu.com trusty-updates/main i386 Packages [644 kB] Scaricamento di:8 http://archive.ubuntu.com trusty-updates/restricted i386 Packages [15,6 kB] Scaricamento di:9 http://archive.ubuntu.com trusty-updates/universe i386 Packages [333 kB] Scaricamento di:10 http://archive.ubuntu.com trusty-updates/multiverse i386 Packages [13,2 kB] Trovato http://archive.ubuntu.com trusty-updates/main Translation-en
Trovato http://archive.ubuntu.com trusty-updates/multiverse Translation-en
Trovato http://archive.ubuntu.com trusty-updates/restricted Translation-en
Trovato http://archive.ubuntu.com trusty-updates/universe Translation-en
Scaricamento di:11 http://archive.ubuntu.com trusty-security/main Sources [101 kB] Scaricamento di:12 http://archive.ubuntu.com trusty-security/restricted Sources [4.035 B] Scaricamento di:13 http://archive.ubuntu.com trusty-security/universe Sources [31,9 kB] Scaricamento di:14 http://archive.ubuntu.com trusty-security/multiverse Sources [2.353 B] Scaricamento di:15 http://archive.ubuntu.com trusty-security/main i386 Packages [360 kB] Scaricamento di:16 http://archive.ubuntu.com trusty-security/restricted i386 Packages [12,7 kB] Scaricamento di:17 http://archive.ubuntu.com trusty-security/universe i386 Packages [120 kB] Scaricamento di:18 http://archive.ubuntu.com trusty-security/multiverse i386 Packages [4.972 B] Trovato http://archive.ubuntu.com trusty-security/main Translation-en
Trovato http://archive.ubuntu.com trusty-security/multiverse Translation-en
Trovato http://archive.ubuntu.com trusty-security/restricted Translation-en
Trovato http://archive.ubuntu.com trusty-security/universe Translation-en
Trovato http://archive.ubuntu.com trusty Release
Trovato http://archive.ubuntu.com trusty/main Sources
Trovato http://archive.ubuntu.com trusty/restricted Sources
Trovato http://archive.ubuntu.com trusty/universe Sources
Trovato http://archive.ubuntu.com trusty/multiverse Sources
Trovato http://archive.ubuntu.com trusty/main i386 Packages
Trovato http://archive.ubuntu.com trusty/restricted i386 Packages
Trovato http://archive.ubuntu.com trusty/universe i386 Packages
Trovato http://archive.ubuntu.com trusty/multiverse i386 Packages
Trovato http://archive.ubuntu.com trusty/main Translation-it
Trovato http://archive.ubuntu.com trusty/main Translation-en
Trovato http://archive.ubuntu.com trusty/multiverse Translation-it
Trovato http://archive.ubuntu.com trusty/multiverse Translation-en
Trovato http://archive.ubuntu.com trusty/restricted Translation-it
Trovato http://archive.ubuntu.com trusty/restricted Translation-en
Trovato http://archive.ubuntu.com trusty/universe Translation-it
Trovato http://archive.ubuntu.com trusty/universe Translation-en
Ign http://archive.ubuntu.com trusty/main Translation-it_IT
Ign http://archive.ubuntu.com trusty/multiverse Translation-it_IT
Ign http://archive.ubuntu.com trusty/restricted Translation-it_IT
Ign http://archive.ubuntu.com trusty/universe Translation-it_IT
Recuperati 2.174 kB in 21s (101 kB/s)
Lettura elenco dei pacchetti... Fatto filippo@filippo-System-Product-Name:~$

il divieto di accesso rimane e immagino che non possa aggiornare niente

(15 Dic '15, 14:58) felipe felipe's gravatar image

il divieto di accesso rimane e immagino che non possa aggiornare niente

Non capisco bene cosa intendi qui...:) [edited: ah, adesso ho capito cosa intendi, ma il "divieto di accesso" talvolta rimane quando correggi le cose da terminale, non te ne fidare troppo...]

Ma dopo l'update hai anche dato il comando di upgrade (sudo apt-get upgrade) e ti ha ridato lo stesso errore di prima?

(15 Dic '15, 15:08) alvise alvise's gravatar image

sembra che sia risolto, dopo aver aggiustato i pacchetti danneggiati;il divieto di accesso è scomparso; ho fatto update e upgrade! grazie tante!

(15 Dic '15, 17:32) felipe felipe's gravatar image

@felipe a meno di rispondere alla (tua) domanda principale usa i commenti, grazie. E per gli output lunghi, usa pastebin :)

(15 Dic '15, 17:34) dadexix86 ♦♦ dadexix86's gravatar image

Ottimo, felice di essere stato utile!

(15 Dic '15, 18:32) alvise alvise's gravatar image
La tua risposta
abilita/disabilita anteprima

Segui questa domanda

Via email:

Una volta eseguito l'accesso potrai iscriverti a tutti gli aggiornamenti qui

Via RSS:

Risposte

Risposte e commenti

Basi di markdown

  • *corsivo* o __corsivo__
  • **grassetto** o __grassetto__
  • collegamento:[testo](http://url.com/ "titolo")
  • immagine?![alt testo](/path/img.jpg "titolo")
  • elenco numerato: 1. Foo 2. Bar
  • per aggiungere un'interruzione di riga, aggiungi due spazi a fine riga e premi «Invio»
  • è supportato anche semplice HTML

Tag:

×168

domanda posta: 12 Dic '15, 18:39

domanda visualizzata: 800 volte

ultimo aggiornamento: 15 Dic '15, 18:32

Chiedi è un servizio di supporto gestito da Ubuntu-it. Contattaci!

powered by OSQAPostgreSQL database
Ubuntu e Canonical sono marchi registrati da Canonical Ltd.